Subject: general-digest V2 #103
From: [email-masked] (general-digest)
To: [email-masked]

general-digest        Monday, November 29 1999        Volume 02 : Number 103

In this issue:

    JDK
    Re: JDK
    Re: NetWinder miraculously escapes destruction
    Re: KDE 1.1.2
    Re: Netwinder VPN?
    JDK
    /dev/nwbutton
    Re: /dev/nwbutton
    Re: /dev/nwbutton
    Packed struct stuff
    Re: /dev/nwbutton
    Re: Packed struct stuff
    Re: /dev/nwbutton
    Re: JDK
    Remote Boot of Netwinder
    Build on new DM
    xforms
    Re: Remote Boot of Netwinder
    Diskless Netwinder as X Terminal?
    Re: Diskless Netwinder as X Terminal?
    Re: JDK
    Re: JDK
    Re: xforms
    Re: Diskless Netwinder as X Terminal?
    Re: xforms
    Re: Packed struct stuff

See the end of this digest for information about general-digest.

----------------------------------------------------------------------

Date: Sun, 21 Nov 1999 23:26:28 +0000
From: Gareth Woolridge <[email-masked]>
Subject: JDK

All

Anyone with experience of Java development on Netwinder have any news on
JDK1.2 for ARM??

The blackdown.org site seems to have no info on availability/timescale for
a release of Java 2 on ARM.

Gareth

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Mon, 22 Nov 1999 16:56:33 -0500
From: scott hutinger <[email-masked]>
Subject: Re: JDK

Gareth Woolridge wrote:

Hi,

I haven't started JDK1.2 for the ARM yet, although someone else might have?

Currently I am trying to get a jit running in 1.2 space on the ppc.  But,
with the current system that is on the netwinder, I don't see any problem
getting it up and running now.  I have native threads working (or blackdown
does, or the Rebel.com group, or whomever?) on the netwinder.  Meaning the
base system is getting stable enough where it's prime time for 1.2.

I think after 1.3, hotspot will begin to be on different platforms, but
currently with 1.1.8, I notice a real need for a jit.  I think only 1 person
(rebel.com) downloaded the 1.1.8 prerelease, so I put my resources in the ppc
jit till it's finished.

I guess the first step, is get a JCK for 1.2, as all tests need to be
validated before a 1.2 release can be released.  Currently a small number of
very small things in the netwinder system have some problems.  Mainly a
floating point problem and a network problem.  Nothing big, but stuff that
needs to be tracked down, which always takes time.

scott

> All
>
> Anyone with experience of Java development on Netwinder have any news on
> JDK1.2 for ARM??
>
> The blackdown.org site seems to have no info on availability/timescale for
> a release of Java 2 on ARM.
>
> Gareth

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Mon, 22 Nov 1999 17:28:23 -0330
From: Chad House <[email-masked]>
Subject: Re: NetWinder miraculously escapes destruction

Gotta love a happy ending...

My replacement power supply arrived today. I plugged it in, and -- lo and
behold -- the thing actually booted. Been up and running all day, with no
problems. The pleasant woodsmoke scent is actually a bonus. (Perhaps
Rebel.com will offer a "potpourri" model soon.)

Many thanks to Ralph Siemsen and the folks at Rebel.com for the
replacement adapter.

Cheers,

Chad
- --
Chad House
[email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Tue, 23 Nov 1999 09:09:59 -0500
From: Ralph Siemsen <[email-masked]>
Subject: Re: KDE 1.1.2

For those running DM-15, I've compiled KDE-1.1.2 in RPM format and it
seems to run quite well.  No changes were made to the SRPM's, just 'rpm
- --rebuild'.  Binaries can be found at
ftp://netwinder.org/users/r/ralphs/kde/.  It probably won't work on
earlier builds due to differences in libstc++.

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Tue, 2